コンテンツにスキップ
トレカクラウド
Esc
↑↓移動↵開く⌘Jプレビュー

接続を確かめる

GET/connection
Authorization
AuthorizationOAuth2 access token · headerrequired

認可コードフロー(PKCE S256 必須)。認可・トークン・更新のリクエストには resource=https://api.toreca-cloud.com/partner/v1 を付けます。アクセストークンは15分、リフレッシュトークンは90日有効で、更新のたびに入れ替わります。

Scopes:purchase-boosts:read
or
AuthorizationOAuth2 access token · headerrequired

認可コードフロー(PKCE S256 必須)。認可・トークン・更新のリクエストには resource=https://api.toreca-cloud.com/partner/v1 を付けます。アクセストークンは15分、リフレッシュトークンは90日有効で、更新のたびに入れ替わります。

Scopes:inventory:read
Responses
200

接続

idstring<uuid>required
tenantobjectrequired

接続した店舗

Show properties
idstring<uuid>
namestring
slugstring
userobjectrequired

許可したメンバー

Show properties
idstring
namestring
emailstring<email>
clientIdstringrequired
statusstringrequired
Allowed:active
connectedAtstring<date-time>required
webhookobject | null
Show properties
urlstring<uri>
createdAtstring<date-time>
cursorstringrequired

変更フィードのいまの先頭。ここから読むと、これ以降の変更だけが返ります。

401

invalid_token。トークンがない、期限切れ、または別のリソース向けです。

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

403

insufficient_scope、connection_revoked、client_disabled、forbidden のいずれかです。

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

Try it
Server
Authorization
Request
curl -X GET 'https://api.toreca-cloud.com/partner/v1/connection' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "tenant": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string"
  },
  "user": {
    "id": "string",
    "name": "string",
    "email": "user@example.com"
  },
  "clientId": "string",
  "status": "active",
  "connectedAt": "2019-08-24T14:15:22Z",
  "webhook": {
    "url": "http://example.com",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "cursor": "string"
}